diff --git a/Client/Client/Assets/Scenes/WebGL.unity b/Client/Client/Assets/Scenes/WebGL.unity
index e063e5e..03fdb31 100644
--- a/Client/Client/Assets/Scenes/WebGL.unity
+++ b/Client/Client/Assets/Scenes/WebGL.unity
@@ -10082,47 +10737,182 @@ RectTransform:
   m_Father: {fileID: 316053234}
   m_RootOrder: 3
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 1, y: 1}
-  m_AnchoredPosition: {x: 0, y: -460}
-  m_SizeDelta: {x: 0, y: 30}
-  m_Pivot: {x: 0.5, y: 1}
---- !u!114 &681132274
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 1, y: 1}
+  m_AnchoredPosition: {x: 0, y: -460}
+  m_SizeDelta: {x: 0, y: 30}
+  m_Pivot: {x: 0.5, y: 1}
+--- !u!114 &681132274
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 681132272}
+  m_Enabled: 0
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Material: {fileID: 0}
+  m_Color: {r: 1, g: 1, b: 1, a: 0.392}
+  m_RaycastTarget: 1
+  m_Maskable: 1
+  m_OnCullStateChanged:
+    m_PersistentCalls:
+      m_Calls: []
+  m_Sprite: {fileID: 10907, guid: 0000000000000000f000000000000000, type: 0}
+  m_Type: 1
+  m_PreserveAspect: 0
+  m_FillCenter: 1
+  m_FillMethod: 4
+  m_FillAmount: 1
+  m_FillClockwise: 1
+  m_FillOrigin: 0
+  m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
+--- !u!222 &681132275
+CanvasRenderer:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 681132272}
+  m_CullTransparentMesh: 0
+--- !u!1 &687702504
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 687702505}
+  - component: {fileID: 687702507}
+  - component: {fileID: 687702506}
+  m_Layer: 5
+  m_Name: ToTableText (1)
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &687702505
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 687702504}
+  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children: []
+  m_Father: {fileID: 1641538590}
+  m_RootOrder: 15
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
+  m_Pivot: {x: 0.5, y: 0.5}
+--- !u!114 &687702506
 MonoBehaviour:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
   m_PrefabInstance: {fileID: 0}
   m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 681132272}
-  m_Enabled: 0
+  m_GameObject: {fileID: 687702504}
+  m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
+  m_Script: {fileID: 11500000, guid: f4688fdb7df04437aeb418b961361dc5, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
-  m_Color: {r: 1, g: 1, b: 1, a: 0.392}
+  m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
   m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
-  m_Sprite: {fileID: 10907, guid: 0000000000000000f000000000000000, type: 0}
-  m_Type: 1
-  m_PreserveAspect: 0
-  m_FillCenter: 1
-  m_FillMethod: 4
-  m_FillAmount: 1
-  m_FillClockwise: 1
-  m_FillOrigin: 0
-  m_UseSpriteMesh: 0
-  m_PixelsPerUnitMultiplier: 1
---- !u!222 &681132275
+  m_text: As this legend shows, buildings on the map will be lighter colored when
+    rush levels are low, or striped when a prediction is not available.
+  m_isRightToLeft: 0
+  m_fontAsset: {fileID: 11400000, guid: 49750830b71ed3546bebefe4be946048, type: 2}
+  m_sharedMaterial: {fileID: 1742611629344109958, guid: 49750830b71ed3546bebefe4be946048,
+    type: 2}
+  m_fontSharedMaterials: []
+  m_fontMaterial: {fileID: 0}
+  m_fontMaterials: []
+  m_fontColor32:
+    serializedVersion: 2
+    rgba: 4278190080
+  m_fontColor: {r: 0, g: 0, b: 0, a: 1}
+  m_enableVertexGradient: 0
+  m_colorMode: 3
+  m_fontColorGradient:
+    topLeft: {r: 1, g: 1, b: 1, a: 1}
+    topRight: {r: 1, g: 1, b: 1, a: 1}
+    bottomLeft: {r: 1, g: 1, b: 1, a: 1}
+    bottomRight: {r: 1, g: 1, b: 1, a: 1}
+  m_fontColorGradientPreset: {fileID: 0}
+  m_spriteAsset: {fileID: 0}
+  m_tintAllSprites: 0
+  m_StyleSheet: {fileID: 0}
+  m_TextStyleHashCode: -1183493901
+  m_overrideHtmlColors: 0
+  m_faceColor:
+    serializedVersion: 2
+    rgba: 4294967295
+  m_fontSize: 20
+  m_fontSizeBase: 20
+  m_fontWeight: 400
+  m_enableAutoSizing: 0
+  m_fontSizeMin: 18
+  m_fontSizeMax: 72
+  m_fontStyle: 0
+  m_HorizontalAlignment: 2
+  m_VerticalAlignment: 256
+  m_textAlignment: 65535
+  m_characterSpacing: 0
+  m_wordSpacing: 0
+  m_lineSpacing: 0
+  m_lineSpacingMax: 0
+  m_paragraphSpacing: 0
+  m_charWidthMaxAdj: 0
+  m_enableWordWrapping: 1
+  m_wordWrappingRatios: 0.4
+  m_overflowMode: 0
+  m_linkedTextComponent: {fileID: 0}
+  parentLinkedComponent: {fileID: 0}
+  m_enableKerning: 1
+  m_enableExtraPadding: 0
+  checkPaddingRequired: 0
+  m_isRichText: 1
+  m_parseCtrlCharacters: 1
+  m_isOrthographic: 1
+  m_isCullingEnabled: 0
+  m_horizontalMapping: 0
+  m_verticalMapping: 0
+  m_uvLineOffset: 0
+  m_geometrySortingOrder: 0
+  m_IsTextObjectScaleStatic: 0
+  m_VertexBufferAutoSizeReduction: 1
+  m_useMaxVisibleDescender: 1
+  m_pageToDisplay: 1
+  m_margin: {x: 0, y: 0, z: 0, w: 0}
+  m_isUsingLegacyAnimationComponent: 0
+  m_isVolumetricText: 0
+  m_hasFontAssetChanged: 0
+  m_baseMaterial: {fileID: 0}
+  m_maskOffset: {x: 0, y: 0, z: 0, w: 0}
+--- !u!222 &687702507
 CanvasRenderer:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
   m_PrefabInstance: {fileID: 0}
   m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 681132272}
+  m_GameObject: {fileID: 687702504}
   m_CullTransparentMesh: 0
 --- !u!1 &690754664
 GameObject:
@@ -10206,7 +10996,7 @@ MonoBehaviour:
   m_HandleRect: {fileID: 994209126}
   m_Direction: 2
   m_Value: 1
-  m_Size: 0.27635115
+  m_Size: 0.21253857
   m_NumberOfSteps: 0
   m_OnValueChanged:
     m_PersistentCalls:
@@ -11269,10 +12059,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 10
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -1081.81}
-  m_SizeDelta: {x: 1725, y: 23.44}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &769610871
 MonoBehaviour:
@@ -11824,7 +12614,7 @@ RectTransform:
   m_RootOrder: 0
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 1, y: 1}
+  m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
   m_SizeDelta: {x: 20, y: 20}
   m_Pivot: {x: 0.5, y: 0.5}
@@ -13305,12 +14095,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 22
+  m_RootOrder: 34
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -2726.5098}
-  m_SizeDelta: {x: 1725, y: 38}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &923257992
 MonoBehaviour:
@@ -13858,10 +14648,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 5
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -740.455}
-  m_SizeDelta: {x: 1725, y: 28.13}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &950230928
 MonoBehaviour:
@@ -14556,8 +15346,8 @@ RectTransform:
   m_Father: {fileID: 520066068}
   m_RootOrder: 0
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0.72364885}
-  m_AnchorMax: {x: 1, y: 1}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
   m_SizeDelta: {x: 20, y: 20}
   m_Pivot: {x: 0.5, y: 0.5}
@@ -14792,6 +15582,140 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 1009100076}
   m_CullTransparentMesh: 0
+--- !u!1 &1012737717
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 1012737718}
+  - component: {fileID: 1012737720}
+  - component: {fileID: 1012737719}
+  m_Layer: 5
+  m_Name: Gap (5)
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &1012737718
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1012737717}
+  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children: []
+  m_Father: {fileID: 1641538590}
+  m_RootOrder: 30
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
+  m_Pivot: {x: 0.5, y: 0.5}
+--- !u!114 &1012737719
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1012737717}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: f4688fdb7df04437aeb418b961361dc5, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Material: {fileID: 0}
+  m_Color: {r: 1, g: 1, b: 1, a: 1}
+  m_RaycastTarget: 1
+  m_Maskable: 1
+  m_OnCullStateChanged:
+    m_PersistentCalls:
+      m_Calls: []
+  m_text: ' '
+  m_isRightToLeft: 0
+  m_fontAsset: {fileID: 11400000, guid: 49750830b71ed3546bebefe4be946048, type: 2}
+  m_sharedMaterial: {fileID: 1742611629344109958, guid: 49750830b71ed3546bebefe4be946048,
+    type: 2}
+  m_fontSharedMaterials: []
+  m_fontMaterial: {fileID: 0}
+  m_fontMaterials: []
+  m_fontColor32:
+    serializedVersion: 2
+    rgba: 4278190080
+  m_fontColor: {r: 0, g: 0, b: 0, a: 1}
+  m_enableVertexGradient: 0
+  m_colorMode: 3
+  m_fontColorGradient:
+    topLeft: {r: 1, g: 1, b: 1, a: 1}
+    topRight: {r: 1, g: 1, b: 1, a: 1}
+    bottomLeft: {r: 1, g: 1, b: 1, a: 1}
+    bottomRight: {r: 1, g: 1, b: 1, a: 1}
+  m_fontColorGradientPreset: {fileID: 0}
+  m_spriteAsset: {fileID: 0}
+  m_tintAllSprites: 0
+  m_StyleSheet: {fileID: 0}
+  m_TextStyleHashCode: -1183493901
+  m_overrideHtmlColors: 0
+  m_faceColor:
+    serializedVersion: 2
+    rgba: 4294967295
+  m_fontSize: 24
+  m_fontSizeBase: 24
+  m_fontWeight: 400
+  m_enableAutoSizing: 0
+  m_fontSizeMin: 18
+  m_fontSizeMax: 72
+  m_fontStyle: 0
+  m_HorizontalAlignment: 8
+  m_VerticalAlignment: 256
+  m_textAlignment: 65535
+  m_characterSpacing: 0
+  m_wordSpacing: 0
+  m_lineSpacing: 0
+  m_lineSpacingMax: 0
+  m_paragraphSpacing: 0
+  m_charWidthMaxAdj: 0
+  m_enableWordWrapping: 1
+  m_wordWrappingRatios: 0.4
+  m_overflowMode: 0
+  m_linkedTextComponent: {fileID: 0}
+  parentLinkedComponent: {fileID: 0}
+  m_enableKerning: 1
+  m_enableExtraPadding: 0
+  checkPaddingRequired: 0
+  m_isRichText: 1
+  m_parseCtrlCharacters: 1
+  m_isOrthographic: 1
+  m_isCullingEnabled: 0
+  m_horizontalMapping: 0
+  m_verticalMapping: 0
+  m_uvLineOffset: 0
+  m_geometrySortingOrder: 0
+  m_IsTextObjectScaleStatic: 0
+  m_VertexBufferAutoSizeReduction: 1
+  m_useMaxVisibleDescender: 1
+  m_pageToDisplay: 1
+  m_margin: {x: 0, y: 0, z: 0, w: 0}
+  m_isUsingLegacyAnimationComponent: 0
+  m_isVolumetricText: 0
+  m_hasFontAssetChanged: 0
+  m_baseMaterial: {fileID: 0}
+  m_maskOffset: {x: 0, y: 0, z: 0, w: 0}
+--- !u!222 &1012737720
+CanvasRenderer:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1012737717}
+  m_CullTransparentMesh: 0
 --- !u!1 &1021425639
 GameObject:
   m_ObjectHideFlags: 0
@@ -17456,12 +18380,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 20
+  m_RootOrder: 26
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -2431.4448}
-  m_SizeDelta: {x: 1725, y: 478.13}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1193051062
 MonoBehaviour:
@@ -17486,23 +18410,29 @@ MonoBehaviour:
     which contains data for the current day and two following days, or inputing a
     prediction manually, with which the predictor may be able to estimate rush level
     outside of these several days. The predictor will work the best if you don't
-    use unusual conditions, for exampe 30\xB0C weather in December.\n\nThe prediction
-    can be set using the \"Set weather manually\" button, and can be cleared by pressing
-    \"Clear weather\". At any point, an indicator under the date panel shows whether
-    automatic or manual forecast is being used.\n\nUsing the \"Set prediction date\"
-    button will take you to a panel in which a start and and end date can be selected.
-    By checking the \"Use end date\" box, a time span will be used for prediction,
-    otherwise a single time (the start time) will be used. By checking \"Use own
-    weather\", the predictor will use the user-set weather. Otherwise, it will use
-    the automatic prediction, which is currently available only for a span of three
-    days.\n\nIn future, the predictor could be adjusted and therefore the option
-    to predict beyond this interval is kept, with a warning shown, that the predictor
-    will likely be unable to provide data for at least a part of a given interval,
-    unless manual weather is selected.\n\nThe \"Find a building\" button serves to
-    easily find a building in the simulation and zoom in on it. First year (and older)
-    students may find this function useful when locating new areas of the campus.
-    You can use the room prefixes such as UC or UN to search for buildings, or entire
-    room identifiers such as \"UC336\". The list of recognized areas is further described
+    use unusual conditions, for example 30\xB0C weather in December.\n\nAny temperatures
+    are accepted, as well as any rain probability from 0 to a 100%, and any non-negative
+    wind speeds. However, unreasonable values will produce unreasonable predictions.
+    The function is intended to be used to explore, for example, the differences
+    in attendance prediction when it rains, and when it doesn't.\n\nIf a weather
+    prediction is not available, the prediction shown will be Dark, 0 \xB0C, with
+    no chance of rain and 0 m/s wind speed.\n\nA manual prediction can be set using
+    the \"Set weather manually\" button, and can be cleared by pressing \"Clear weather\".
+    At any point, a status indicator on the weather display panel shows whether automatic
+    or manual forecast is being used.\n\nUsing the \"Set prediction date\" button
+    will take you to a panel in which a start and and end date can be selected. By
+    checking the \"Use end date\" box, a time span will be used for prediction, otherwise
+    a single time (the start time) will be used. By checking \"Use own weather\",
+    the predictor will use the user-set weather. Otherwise, it will use the automatic
+    prediction, which is currently available only for a span of three days.\n\nIn
+    future, the predictor could be adjusted and therefore the option to predict beyond
+    this interval is kept, with a warning shown, that the predictor will likely be
+    unable to provide data for at least a part of a given interval, unless manual
+    weather is selected.\n\nThe \"Find a building\" button serves to easily find
+    a building in the simulation and zoom in on it. First year (and older) students
+    may find this function useful when locating new areas of the campus. You can
+    use the room prefixes such as UC or UN to search for buildings, or entire room
+    identifiers such as \"UC336\". The list of recognized areas is further described
     in section 4."
   m_isRightToLeft: 0
   m_fontAsset: {fileID: 11400000, guid: 49750830b71ed3546bebefe4be946048, type: 2}
@@ -19174,12 +20104,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 19
+  m_RootOrder: 25
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -2158.315}
-  m_SizeDelta: {x: 1725, y: 28.13}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1297963517
 MonoBehaviour:
@@ -19415,12 +20345,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 15
+  m_RootOrder: 21
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -1641.3}
-  m_SizeDelta: {x: 1725, y: 168.76}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1300247647
 MonoBehaviour:
@@ -19452,7 +20382,7 @@ MonoBehaviour:
     On the left side, you
     will find a panel showing the currently visualized date, day of week, and weather
     conditions. Of weather condiotions, temperature, chance of rain, wind speed and
-    overall condition (sunny, coudy, overcast, dark) are tracked.'
+    overall condition (sunny, cloudy, overcast, dark) are tracked.'
   m_isRightToLeft: 0
   m_fontAsset: {fileID: 11400000, guid: 49750830b71ed3546bebefe4be946048, type: 2}
   m_sharedMaterial: {fileID: 1742611629344109958, guid: 49750830b71ed3546bebefe4be946048,
@@ -19847,7 +20777,7 @@ GameObject:
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
   m_StaticEditorFlags: 0
-  m_IsActive: 0
+  m_IsActive: 1
 --- !u!224 &1316714130
 RectTransform:
   m_ObjectHideFlags: 0
@@ -20027,10 +20957,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 9
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -1009.09}
-  m_SizeDelta: {x: 226, y: 82}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 226, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1330625395
 MonoBehaviour:
@@ -20613,12 +21543,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 23
+  m_RootOrder: 35
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -2939.1997}
-  m_SizeDelta: {x: 1725, y: 309.38}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1362998281
 MonoBehaviour:
@@ -20750,10 +21680,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 1
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -240.815}
-  m_SizeDelta: {x: 1725, y: 365.63}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1382269605
 MonoBehaviour:
@@ -20775,31 +21705,32 @@ MonoBehaviour:
     m_PersistentCalls:
       m_Calls: []
   m_text: 'This application was created for the Advanced Software Engineering course
-    at the University of West Bohemia in Pilsen, as a response to a promt requiring
-    the use of UWB''s OpenData. The datasets contain information about JIS card (university
-    ID) use at select locations, log-ins to the university network, weather at UWB,
-    class schedules and more.
+    at the University of West Bohemia in Pilsen (UWB), as a response to a prompt
+    requiring the use of UWB''s OpenData. The datasets contain information about
+    JIS card (university ID) use at select locations, log-ins to the university network,
+    weather at UWB, class schedules and more.
 
 
-    Using these datasets, we decided to create a
-    machine learning application, which could predict rush levels at UWB based on
-    patterns observed in the past and the weather forecast. As a team of four students,
-    we created an extensive application spanning the fields of networking, machine
-    learning, data analysis and computer graphics.
+    Using these datasets, we decided
+    to create a machine learning application, which could predict rush levels at
+    UWB based on patterns observed in the past and the weather forecast. As a team
+    of four students, we created an extensive application spanning the fields of
+    networking, machine learning, data analysis and computer graphics.
 
 
-    We hope that the data visualized
-    can help students at UWB make decisions about their class attendance - say, to
-    attend when there''s likely to be fewer students in class and not miss important
-    information, or to get the best seat in a lecture early on a busy day. To teachers,
-    it could help schedule revision for high-attendance days. In any case, interesting
-    patterns in the data could arise and be observed over time, leading to a better
-    understanding of the experience students and staff have at the campus.
+    We hope
+    that the data visualized can help students at UWB make decisions about their
+    class attendance - say, to attend when there''s likely to be fewer students in
+    class and not miss important information, or to get the best seat in a lecture
+    early on a busy day. To teachers, it could help schedule revision for high-attendance
+    days. In any case, interesting patterns in the data could arise and be observed
+    over time, leading to a better understanding of the experience students and staff
+    have at the campus.
 
 
-    Given
-    the relative youth of the above listed datasets and the recent distance learning
-    period, the predictor should only become more accurate as more data becomes available.'
+    Given the relative youth of the above listed datasets
+    and the recent distance learning period, the predictor should only become more
+    accurate as more data becomes available.'
   m_isRightToLeft: 0
   m_fontAsset: {fileID: 11400000, guid: 49750830b71ed3546bebefe4be946048, type: 2}
   m_sharedMaterial: {fileID: 1742611629344109958, guid: 49750830b71ed3546bebefe4be946048,
@@ -21865,12 +22796,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 14
+  m_RootOrder: 20
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -1498.92}
-  m_SizeDelta: {x: 1725, y: 38}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &1430890187
 MonoBehaviour:
@@ -22073,6 +23004,141 @@ MonoBehaviour:
   m_Script: {fileID: 11500000, guid: bc8a369f383f0654b8f7ea3db4473073, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
+--- !u!1 &1433118815
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 1433118816}
+  - component: {fileID: 1433118818}
+  - component: {fileID: 1433118817}
+  m_Layer: 5
+  m_Name: ToTableText (2)
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &1433118816
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1433118815}
+  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children: []
+  m_Father: {fileID: 1641538590}
+  m_RootOrder: 29
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
+  m_Pivot: {x: 0.5, y: 0.5}
+--- !u!114 &1433118817
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1433118815}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: f4688fdb7df04437aeb418b961361dc5, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Material: {fileID: 0}
+  m_Color: {r: 1, g: 1, b: 1, a: 1}
+  m_RaycastTarget: 1
+  m_Maskable: 1
+  m_OnCullStateChanged:
+    m_PersistentCalls:
+      m_Calls: []
+  m_text: This button will take you to a panel allowing you to set a manual weather
+    prediction.
+  m_isRightToLeft: 0
+  m_fontAsset: {fileID: 11400000, guid: 49750830b71ed3546bebefe4be946048, type: 2}
+  m_sharedMaterial: {fileID: 1742611629344109958, guid: 49750830b71ed3546bebefe4be946048,
+    type: 2}
+  m_fontSharedMaterials: []
+  m_fontMaterial: {fileID: 0}
+  m_fontMaterials: []
+  m_fontColor32:
+    serializedVersion: 2
+    rgba: 4278190080
+  m_fontColor: {r: 0, g: 0, b: 0, a: 1}
+  m_enableVertexGradient: 0
+  m_colorMode: 3
+  m_fontColorGradient:
+    topLeft: {r: 1, g: 1, b: 1, a: 1}
+    topRight: {r: 1, g: 1, b: 1, a: 1}
+    bottomLeft: {r: 1, g: 1, b: 1, a: 1}
+    bottomRight: {r: 1, g: 1, b: 1, a: 1}
+  m_fontColorGradientPreset: {fileID: 0}
+  m_spriteAsset: {fileID: 0}
+  m_tintAllSprites: 0
+  m_StyleSheet: {fileID: 0}
+  m_TextStyleHashCode: -1183493901
+  m_overrideHtmlColors: 0
+  m_faceColor:
+    serializedVersion: 2
+    rgba: 4294967295
+  m_fontSize: 20
+  m_fontSizeBase: 20
+  m_fontWeight: 400
+  m_enableAutoSizing: 0
+  m_fontSizeMin: 18
+  m_fontSizeMax: 72
+  m_fontStyle: 0
+  m_HorizontalAlignment: 2
+  m_VerticalAlignment: 256
+  m_textAlignment: 65535
+  m_characterSpacing: 0
+  m_wordSpacing: 0
+  m_lineSpacing: 0
+  m_lineSpacingMax: 0
+  m_paragraphSpacing: 0
+  m_charWidthMaxAdj: 0
+  m_enableWordWrapping: 1
+  m_wordWrappingRatios: 0.4
+  m_overflowMode: 0
+  m_linkedTextComponent: {fileID: 0}
+  parentLinkedComponent: {fileID: 0}
+  m_enableKerning: 1
+  m_enableExtraPadding: 0
+  checkPaddingRequired: 0
+  m_isRichText: 1
+  m_parseCtrlCharacters: 1
+  m_isOrthographic: 1
+  m_isCullingEnabled: 0
+  m_horizontalMapping: 0
+  m_verticalMapping: 0
+  m_uvLineOffset: 0
+  m_geometrySortingOrder: 0
+  m_IsTextObjectScaleStatic: 0
+  m_VertexBufferAutoSizeReduction: 1
+  m_useMaxVisibleDescender: 1
+  m_pageToDisplay: 1
+  m_margin: {x: 0, y: 0, z: 0, w: 0}
+  m_isUsingLegacyAnimationComponent: 0
+  m_isVolumetricText: 0
+  m_hasFontAssetChanged: 0
+  m_baseMaterial: {fileID: 0}
+  m_maskOffset: {x: 0, y: 0, z: 0, w: 0}
+--- !u!222 &1433118818
+CanvasRenderer:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1433118815}
+  m_CullTransparentMesh: 0
 --- !u!1 &1440830861
 GameObject:
   m_ObjectHideFlags: 0
@@ -22105,10 +23171,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 0
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: 0}
-  m_SizeDelta: {x: 1725, y: 38}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &1440830863
 MonoBehaviour:
@@ -22589,12 +23655,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 21
+  m_RootOrder: 33
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -2698.5098}
-  m_SizeDelta: {x: 100, y: 16}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 100, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1453365193
 MonoBehaviour:
@@ -22875,12 +23941,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 16
+  m_RootOrder: 22
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -1759.745}
-  m_SizeDelta: {x: 1725, y: 28.13}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 1725, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1467629573
 MonoBehaviour:
@@ -23138,12 +24204,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 13
+  m_RootOrder: 19
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 877.5, y: -1470.92}
-  m_SizeDelta: {x: 100, y: 16}
+  m_AnchorMin: {x: 0, y: 0}
+  m_AnchorMax: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 100, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1486432587
 MonoBehaviour:
@@ -24928,6 +25994,12 @@ RectTransform:
   - {fileID: 769610870}
   - {fileID: 1816361342}
   - {fileID: 235181368}
+  - {fileID: 165605066}
+  - {fileID: 160626650}
+  - {fileID: 687702505}
+  - {fileID: 1899073947}
+  - {fileID: 142857960}
+  - {fileID: 21404728}
   - {fileID: 1486432586}
   - {fileID: 1430890186}
   - {fileID: 1300247646}
@@ -24936,6 +26008,12 @@ RectTransform:
   - {fileID: 645214325}
   - {fileID: 1297963516}
   - {fileID: 1193051061}
+  - {fileID: 2093300007}
+  - {fileID: 107741573}
+  - {fileID: 1433118816}
+  - {fileID: 1012737718}
+  - {fileID: 2097123349}
+  - {fileID: 87370962}
   - {fileID: 1453365192}
   - {fileID: 923257991}
   - {fileID: 1362998280}
@@ -24945,7 +26023,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 1}
   m_AnchorMax: {x: 1, y: 1}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: -33, y: 3093.8896}
+  m_SizeDelta: {x: 0, y: 0}
   m_Pivot: {x: 0, y: 1}
 --- !u!114 &1641538591
 MonoBehaviour:
@@ -25838,7 +26916,7 @@ GameObject:
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
   m_StaticEditorFlags: 0
-  m_IsActive: 1
+  m_IsActive: 0
 --- !u!224 &1687476873
 RectTransform:
   m_ObjectHideFlags: 0
@@ -25911,7 +26989,9 @@ MonoBehaviour:
   sceneManager: {fileID: 1446501678}
   mapRenderer: {fileID: 1827524482}
   panel: {fileID: 1687476872}
+  map: {fileID: 591238599}
   setBuildingButton: {fileID: 244320316}
+  findBuildingButton: {fileID: 179682019}
   input: {fileID: 550097703}
   suggestion: {fileID: 11246239}
 --- !u!1 &1687600170
